# bdm::mgnorm< sq_T > Class Template Reference

Mpdf with general function for mean value. More...

`#include <exp_family.h>`

List of all members.

## Public Member Functions
| mgnorm ()
| default constructor
void | set_parameters (const shared_ptr< fnc > &g0, const sq_T &R0)
| set mean function
void | condition (const vec &cond)
void | from_setting (const Setting &set)
enorm< sq_T > & | e ()
| access function to iepdf
vec | samplecond (const vec &cond)
| Reimplements samplecond using `condition()`.
double | evallogcond (const vec &val, const vec &cond)
| Reimplements evallogcond using `condition()`.
virtual vec | evallogcond_m (const mat &Dt, const vec &cond)
| Efficient version of evallogcond for matrices.
virtual vec | evallogcond_m (const Array< vec > &Dt, const vec &cond)
| Efficient version of evallogcond for Array<vec>.
virtual mat | samplecond_m (const vec &cond, int N)
| Efficient version of samplecond.
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
Access to attributes
RV | _rv () const
RV | _rvc ()
int | dimension () const
int | dimensionc ()
Connection to other objects
void | set_rvc (const RV &rvc0)
void | set_rv (const RV &rv0)
bool | isnamed ()
## Protected Member Functions
void | set_ep (epdf &iepdf)
| set internal pointer `ep` to point to given `iepdf`
void | set_ep (epdf *iepdfp)
| set internal pointer `ep` to point to given `iepdf`
## Protected Attributes
enorm< sq_T > | iepdf
| Internal epdf used for sampling.
int | dimc
| dimension of the condition
RV | rvc
| random variable in condition

## Detailed Description

### template<class sq_T>
class bdm::mgnorm< sq_T >

Mpdf with general function for mean value.

## Member Function Documentation

template<class sq_T >

void bdm::mgnorm< sq_T >::condition | ( | const vec & | cond | ) | `[inline, virtual]`

Update `iepdf` so that it represents this mpdf conditioned on `rvc` = cond This function provides convenient reimplementation in offsprings

Reimplemented from bdm::mpdf_internal< enorm< sq_T > >.

References bdm::mpdf_internal< enorm< sq_T > >::iepdf.

template<class sq_T >

void bdm::mgnorm< sq_T >::from_setting | ( | const Setting & | set | ) | `[inline, virtual]`

UI for mgnorm

The mgnorm is constructed from a structure with fields:

                    system = {
                            type = "mgnorm";
                            // function for mean value evolution
                            g = {type="fnc"; ... }

                            // variance
                            R = [1, 0,
                                     0, 1];
                            // --OR --
                            dR = [1, 1];

                            // == OPTIONAL ==

                            // description of y variables
                            y = {type="rv"; names=["y", "u"];};
                            // description of u variable
                            u = {type="rv"; names=[];}
                    };

Result if

Reimplemented from bdm::mpdf.

References bdm::UI::get(), and bdm::mgnorm< sq_T >::set_parameters().

The documentation for this class was generated from the following file:

- exp_family.h